objctestsexec = executable('objctests',
  [
    'G2HConverterTests.m'
  ],
  dependencies: [objfw_test_dep],
  link_with: lib,
  include_directories: incdir)
test('ObjC tests', objctestsexec, verbose: true)

ctestsexec = executable('ctests',
  [
    'tests.c'
  ],
  link_with: lib,
  include_directories: incdir)
test('C tests', ctestsexec, verbose: true)

cmdlinetestsexec = files('tests.sh')
test('Command line utility tests', cmdlinetestsexec,
  args: [exe, readme])
